PerlIO::scalar(3)

NAME
PerlIO::scalar - support module for in-memory IO.

SYNOPSIS
   open($fh,"<",\$scalar);
   open($fh,">",\$scalar);

or

   open($fh,"<:scalar",\$scalar);
   open($fh,">:scalar",\$scalar);

DESCRIPTION
"PerlIO::scalar" only exists to use XSLoader to load C code that provides support for treating a scalar as an "in memory" file.

All normal file operations can be performed on the handle. The scalar is considered a stream of bytes. Currently fileno($fh) returns "undef".